/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmeeting.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workmeeting.entity.Workmeetinginfo;
import com.jeeplus.modules.workmeeting.dao.WorkmeetinginfoDao;

/**
 * 会议信息Service
 * @author 杨帆
 * @version 2018-03-05
 */
@Service
@Transactional(readOnly = true)
public class WorkmeetinginfoService extends CrudService<WorkmeetinginfoDao, Workmeetinginfo> {

	public Workmeetinginfo get(String id) {
		return super.get(id);
	}

	public Workmeetinginfo getByRoomName(String roomName) {
		return dao.getByRoomName(roomName);
	}

	public List<Workmeetinginfo> findListBystatus(String status) {
		return dao.findListBystatus(status);
	}

	@Transactional(readOnly = false)
	public int updateByRoomName(Workmeetinginfo workmeetinginfo) {
		return dao.updateByRoomName(workmeetinginfo);
	}

	public List<Workmeetinginfo> findList(Workmeetinginfo workmeetinginfo) {
		return super.findList(workmeetinginfo);
	}
	
	public Page<Workmeetinginfo> findPage(Page<Workmeetinginfo> page, Workmeetinginfo workmeetinginfo) {
		return super.findPage(page, workmeetinginfo);
	}
	
	@Transactional(readOnly = false)
	public void save(Workmeetinginfo workmeetinginfo) {
		super.save(workmeetinginfo);
	}

	@Transactional(readOnly = false)
	public void delete(Workmeetinginfo workmeetinginfo) {
		super.delete(workmeetinginfo);
	}
	@Transactional(readOnly = false)
	public int deleteByRoomName(String roomName) {
		return dao.deleteByRoomName(roomName);
	}

	
	
	
}